IsValidOnlyConnectionTester (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.util

## Class IsValidOnlyConnectionTester

- java.lang.Object
- - com.mchange.v2.c3p0.AbstractConnectionTester
  - - com.mchange.v2.c3p0.util.IsValidOnlyConnectionTester

- All Implemented Interfaces:
    ConnectionTester, FullQueryConnectionTester, QueryConnectionTester, UnifiedConnectionTester, java.io.Serializable
  Direct Known Subclasses:
    IsValidOnlyConnectionTester30

      public abstract class IsValidOnlyConnectionTester
      extends AbstractConnectionTester

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.mchange.v2.c3p0.UnifiedConnectionTester

      `CONNECTION_IS_INVALID, CONNECTION_IS_OKAY, DATABASE_IS_INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsValidOnlyConnectionTester()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `activeCheckConnection(java.sql.Connection c, java.lang.String preferredTestQuery, java.lang.Throwable[] rootCauseOutParamHolder)` Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.
    `protected abstract int` | `getIsValidTimeout()`
    `int` | `statusOnException(java.sql.Connection c, java.lang.Throwable t, java.lang.String preferredTestQuery, java.lang.Throwable[] rootCauseOutParamHolder)` Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.

    - ### Methods inherited from class com.mchange.v2.c3p0.AbstractConnectionTester

      `activeCheckConnection, activeCheckConnection, activeCheckConnection, statusOnException, statusOnException, statusOnException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.mchange.v2.c3p0.UnifiedConnectionTester

      `equals, hashCode`

- - ### Constructor Detail

    - #### IsValidOnlyConnectionTester

          public IsValidOnlyConnectionTester()

  - ### Method Detail

    - #### getIsValidTimeout

          protected abstract int getIsValidTimeout()

    - #### activeCheckConnection

          public int activeCheckConnection(java.sql.Connection c,
                                           java.lang.String preferredTestQuery,
                                           java.lang.Throwable[] rootCauseOutParamHolder)

      Description copied from class: `AbstractConnectionTester`
      Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.
      Specified by:
        `activeCheckConnection` in interface `UnifiedConnectionTester`
      Specified by:
        `activeCheckConnection` in class `AbstractConnectionTester`

    - #### statusOnException

          public int statusOnException(java.sql.Connection c,
                                       java.lang.Throwable t,
                                       java.lang.String preferredTestQuery,
                                       java.lang.Throwable[] rootCauseOutParamHolder)

      Description copied from class: `AbstractConnectionTester`
      Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.
      Specified by:
        `statusOnException` in interface `UnifiedConnectionTester`
      Specified by:
        `statusOnException` in class `AbstractConnectionTester`